stages:
  - build

build-ubuntu-bionic:
  cache:
    paths:
      - target/
  stage: build
  image: ubuntu:bionic
  artifacts:
    paths:
      - target/release/koblenz-atom
  before_script:
    - apt-get update
    - apt-get install -y cargo pkg-config libssl-dev
  script:
    - cargo build --release
